%define upstream_name    Data-TreeDumper-Renderer-GTK
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Gtk2::TreeView renderer for Data::TreeDumper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cairo)
BuildRequires: perl(Data::TreeDumper) >= 0.330.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl(Gtk3)
BuildRequires: x11-server-xvfb
Requires:   perl(Term::Size)
BuildArch:  noarch

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Gtk2::TreeView\\)

%description
GTK-perl renderer for *Data::TreeDumper*. 

This widget is the gui equivalent of Data::TreeDumper; it will display a
perl data structure in a TreeView, allowing you to fold and unfold child
data structures and get a quick feel for what's where. Right-clicking
anywhere in the view brings up a context menu, from which the user can
choose to expand or collapse all items.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
xvfb-run make test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Data
%perl_vendorlib/auto/Data

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.30.0-2.mga10
+ Revision: 2219871
- Mageia 10 Mass Rebuild

* Sat Oct 28 2023 tv <tv> 0.30.0-1.mga10
+ Revision: 2002449
- update to 0.03

* Fri Apr 01 2022 umeabot <umeabot> 0.20.0-11.mga9
+ Revision: 1838374
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-10.mga8
+ Revision: 1493790
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-9.mga7
+ Revision: 1267018
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-8.mga6
+ Revision: 1024928
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 932767
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 745117
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.20.0-5.mga5
+ Revision: 735469
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 684248
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 510682
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 365508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 36174
- mageia rebuild
- imported package perl-Data-TreeDumper-Renderer-GTK


* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 410151
- rebuild using %%perl_convert_version

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.0
+ Revision: 277945
- update to new version 0.02

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-3mdv2009.0
+ Revision: 268412
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-2mdv2009.0
+ Revision: 213803
- fix dependencies

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdv2009.0
+ Revision: 213705
- import perl-Data-TreeDumper-Renderer-GTK


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdv2009.0
- first mdv release
